import request from '@/utils/request'

// 查询非正常户认定信息列表
export function listIdentification(query) {
  return request({
    url: '/basicData/xcrAbnormalHouseholdIdentification/findByPage',
    method: 'get',
    params: query
  })
}

// 查询非正常户认定信息详细
export function getIdentification(xhCodeId) {
  return request({
    url: '/basicData/xcrAbnormalHouseholdIdentification/' + xhCodeId,
    method: 'get'
  })
}

// 新增非正常户认定信息
export function addIdentification(data) {
  return request({
    url: '/basicData/xcrAbnormalHouseholdIdentification',
    method: 'post',
    data: data
  })
}

// 修改非正常户认定信息
export function updateIdentification(data) {
  return request({
    url: '/basicData/xcrAbnormalHouseholdIdentification',
    method: 'put',
    data: data
  })
}

// 删除非正常户认定信息
export function delIdentification(xhCodeId) {
  return request({
    url: '/basicData/xcrAbnormalHouseholdIdentification/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delIdentificationBatch(ids) {
  return request.post('/basicData/xcrAbnormalHouseholdIdentification/delete',ids)
}
